<head>
<title>Plan 9 /sys/man/6/venti.conf</title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
</head>
<body bgcolor=#ffffff>
   <br>
<p><font size=+1><b>NAME     <br></b></font>

<table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

    venti.conf &ndash; a venti configuration file<br>
    
</table>
<p><font size=+1><b>DESCRIPTION     <br></b></font>

<table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

    A venti configuration file enumerates the various index sections
    and arenas that constitute a venti system. The components are
    indicated by the name of the file, typically a disk partition,
    in which they reside. The configuration file is the only location
    that file names are used. Internally, venti uses the names assigned
    when the components were formatted with <i>fmtarenas</i> or <i>fmtisect</i>
    (see <a href="../8/venti-fmt"><i>venti&ndash;fmt</i>(8)</a>). In particular, by changing the configuration
    a component can be copied to a different file.  <P>
    The configuration file consists of lines in the form described
    below. Lines starting with <tt><font size=+1>#</font></tt> are comments.<br>
    <tt><font size=+1>index</font></tt> <i>name<br>
    </i>
    <table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

        Names the index for the system.<br>
        
    </table>
    <tt><font size=+1>arenas</font></tt> <i>file<br>
    
    <table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

        File
    </table>
    </i>
    <table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

         contains a collection of arenas, formatted using <i>fmtarenas</i>.<br>
        
    </table>
    <tt><font size=+1>isect</font></tt> <i>file<br>
    
    <table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

        File
    </table>
    </i>
    <table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

         contains an index section, formatted using <i>fmtisect</i>.  <P>
        
    </table>
    After formatting a venti system using <i>fmtindex</i>, the order of arenas
    and index sections should not be changed. Additional arenas can
    be appended to the configuration.  <P>
    The configuration file optionally holds configuration parameters
    for the venti server itself. These are:<br>
    <tt><font size=+1>mem</font></tt> <i>cachesize<br>
    </i><tt><font size=+1>bcmem</font></tt> <i>blockcachesize<br>
    </i><tt><font size=+1>icmem</font></tt> <i>indexcachesize<br>
    </i><tt><font size=+1>addr</font></tt> <i>ventiaddress<br>
    </i><tt><font size=+1>httpaddr</font></tt> <i>httpaddress<br>
    </i><tt><font size=+1>queuewrites<br>
    </font></tt>
    <table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

        See <a href="../8/venti"><i>venti</i>(8)</a> for descriptions of these variables.<br>
        
    </table>
    
</table>
<p><font size=+1><b>EXAMPLE     <br></b></font>

<table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

    <tt><font size=+1># a sample venti configuration file<br>
    #<br>
    # formatted with<br>
    # &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;venti/fmtarenas arena. /tmp/disks/arenas<br>
    #  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;venti/fmtisect isect0 /tmp/disks/isect0<br>
    #  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;venti/fmtisect isect1 /tmp/disks/isect1<br>
    # &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;venti/fmtindex venti.conf<br>
    #<br>
    # server is started with<br>
    # &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;venti/venti<br>
    # the name of the index<br>
    index main<br>
    # the index sections<br>
    isect /tmp/disks/isect0<br>
    isect /tmp/disks/isect1<br>
    # the arenas<br>
    arenas /tmp/disks/arenas<br>
    </font></tt>
</table>
<p><font size=+1><b>SEE ALSO     <br></b></font>

<table border=0 cellpadding=0 cellspacing=0><tr height=2><td><tr><td width=20><td>

    <a href="../3/fs"><i>fs</i>(3)</a>, <a href="../8/venti"><i>venti</i>(8)</a>, <a href="../8/venti-fmt"><i>venti&ndash;fmt</i>(8)<br></a>
    
</table>

<table border=0 cellpadding=0 cellspacing=0><tr height=20><td></table>
<font size=-1><a href="http://www.lucent.com/copyright.html">
Copyright</A> &#169; 2016 Alcatel-Lucent.  All rights reserved.</font>
</body></html>
